
%define adplugdbver 2006-07-07
Name:           adplug
Version:        2.3.3
Release:        1%{?dist}
Summary:        Software library for AdLib (OPL2/3) emulation
URL:            https://adplug.github.io/
Source0:        https://github.com/adplug/adplug/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
Source1:        https://download.sourceforge.net/%{name}/adplugdb-%{adplugdbver}.tar.gz
License:	LGPLv2+
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  libbinio-devel >= 1.4
BuildRequires:  pkgconfig
BuildRequires:  texinfo
%define shareddata %{_localstatedir}/lib

%description
AdPlug is a free software, cross-platform, hardware independent AdLib
sound player library, mainly written in C++. AdPlug plays sound data, 
originally created for the AdLib (OPL2/3) audio board, directly from
its original format on top of an OPL2/3 emulator or by using the real
hardware. No OPL2/3 chips are required for playback.

%package devel
Summary:        Development files for AdPlug
Requires:       %{name} = %{version}-%{release}
Requires:       libbinio-devel

%description devel
This package contains development files for the AdPlug AdLib (OPL2/3)
emulator.

%prep
%setup -q
tar xvfz %{SOURCE1}
mv %{adplugdbver}/README README.adplugdb
mv %{adplugdbver}/NEWS NEWS.adplugdb

%build
%configure --disable-static --sharedstatedir=%{shareddata}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_infodir}/dir
install -D -p -m 644 %{adplugdbver}/adplug.db %{buildroot}%{shareddata}/%{name}/adplug.db

%files
%{_libdir}/*.so.*
%dir %{shareddata}/%{name}/
%config(noreplace) %{shareddata}/%{name}/adplug.db
%{_bindir}/adplugdb
%{_mandir}/man1/adplugdb.1*
%license COPYING
%doc AUTHORS BUGS ChangeLog NEWS README
%doc NEWS.adplugdb README.adplugdb

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_infodir}/libadplug.info*

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.3-1
- initial build
